Package com.trilead.ssh2.signature

## Class DSAPrivateKey

- java.lang.Object
- - com.trilead.ssh2.signature.DSAPrivateKey

    public class DSAPrivateKey
    extends java.lang.Object

DSAPrivateKey.

### Constructor Summary

Constructors
`DSAPrivateKey​(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger g, java.math.BigInteger y, java.math.BigInteger x)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.math.BigInteger` `getG()`
`java.math.BigInteger` `getP()`
`DSAPublicKey` `getPublicKey()`
`java.math.BigInteger` `getQ()`
`java.math.BigInteger` `getX()`
`java.math.BigInteger` `getY()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DSAPrivateKey

    public DSAPrivateKey​(java.math.BigInteger p,
                         java.math.BigInteger q,
                         java.math.BigInteger g,
                         java.math.BigInteger y,
                         java.math.BigInteger x)

### Method Detail

#### getP

    public java.math.BigInteger getP()

#### getQ

    public java.math.BigInteger getQ()

#### getG

    public java.math.BigInteger getG()

#### getY

    public java.math.BigInteger getY()

#### getX

    public java.math.BigInteger getX()

#### getPublicKey

    public DSAPublicKey getPublicKey()